Bug 562036 - Initial i18n support for preupgrade
Initial i18n support for preupgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-04 22:34 EST by Igor Pires Soares
Modified: 2010-05-03 12:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: preupgrade-1.1.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 11:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for preupgrade.glade (11.66 KB, patch)
2010-02-04 22:36 EST, Igor Pires Soares
no flags Details | Diff
patch for preupgrade-cli.py (13.38 KB, patch)
2010-02-04 22:37 EST, Igor Pires Soares
no flags Details | Diff
patch for preupgrade-gtk.py (17.61 KB, patch)
2010-02-04 22:38 EST, Igor Pires Soares
no flags Details | Diff
patch for preupgrade/__init__.py (9.16 KB, patch)
2010-02-04 22:39 EST, Igor Pires Soares
no flags Details | Diff
preupgrade.desktop.in (190 bytes, application/octet-stream)
2010-02-04 22:42 EST, Igor Pires Soares
no flags Details
po/Makevars (1.07 KB, application/octet-stream)
2010-02-04 22:43 EST, Igor Pires Soares
no flags Details
po/LINGUAS (6 bytes, application/octet-stream)
2010-02-04 22:44 EST, Igor Pires Soares
no flags Details
po/POTFILES.in (98 bytes, application/octet-stream)
2010-02-04 22:45 EST, Igor Pires Soares
no flags Details
po/POTFILES.skip (158 bytes, application/octet-stream)
2010-02-04 22:45 EST, Igor Pires Soares
no flags Details
po/preupgrade.pot (13.04 KB, application/vnd.ms-powerpoint)
2010-02-04 22:46 EST, Igor Pires Soares
no flags Details
po/pt_BR.po (13.62 KB, text/x-gettext-translation)
2010-02-04 22:51 EST, Igor Pires Soares
no flags Details
patch for preupgrade-cli.py (13.79 KB, patch)
2010-02-05 12:31 EST, Igor Pires Soares
no flags Details | Diff
patch for preupgrade-gtk.py (18.00 KB, patch)
2010-02-05 12:32 EST, Igor Pires Soares
no flags Details | Diff
patch for preupgrade-gtk.py (18.00 KB, patch)
2010-02-05 12:33 EST, Igor Pires Soares
no flags Details | Diff
patch for preupgrade.glade (12.63 KB, patch)
2010-02-05 12:33 EST, Igor Pires Soares
no flags Details | Diff
patch for preupgrade/__init__.py (9.53 KB, patch)
2010-02-05 12:35 EST, Igor Pires Soares
no flags Details | Diff
preupgrade.desktop.in (732 bytes, patch)
2010-02-05 12:35 EST, Igor Pires Soares
no flags Details | Diff
po/LINGUAS (473 bytes, patch)
2010-02-05 12:36 EST, Igor Pires Soares
no flags Details | Diff
po/Makevars (1.59 KB, patch)
2010-02-05 12:37 EST, Igor Pires Soares
no flags Details | Diff
po/POTFILES.in (608 bytes, patch)
2010-02-05 12:38 EST, Igor Pires Soares
no flags Details | Diff
po/POTFILES.skip (688 bytes, patch)
2010-02-05 12:39 EST, Igor Pires Soares
no flags Details | Diff
po/preupgrade.pot (14.16 KB, patch)
2010-02-05 12:40 EST, Igor Pires Soares
no flags Details | Diff
po/pt_BR.po (14.75 KB, patch)
2010-02-05 12:41 EST, Igor Pires Soares
no flags Details | Diff

  None (edit)
Description Igor Pires Soares 2010-02-04 22:34:11 EST
Here are a few patches providing i18n support for preupgrade. I'm very glad preupgrade maintainers are interest in my work, as commented on my blog [1]. However, these are my very first patches, so I'd like someone to review it carefully and provide some feedback. I'll be glad to receive some tips as well.

Now it is necessary to integrate the i18n support into the package build. Please let me now if I left any file out of the i18n support. All those included are in the POTFILES.in file, and the excluded in POTFILES.skip. The whole work was made using Intltool.

Thanks!

[1] http://igorsoares.com/?p=35
Comment 1 Igor Pires Soares 2010-02-04 22:36:32 EST
Created attachment 388945 [details]
patch for preupgrade.glade
Comment 2 Igor Pires Soares 2010-02-04 22:37:20 EST
Created attachment 388946 [details]
patch for preupgrade-cli.py
Comment 3 Igor Pires Soares 2010-02-04 22:38:04 EST
Created attachment 388947 [details]
patch for preupgrade-gtk.py
Comment 4 Igor Pires Soares 2010-02-04 22:39:30 EST
Created attachment 388948 [details]
patch for preupgrade/__init__.py
Comment 5 Igor Pires Soares 2010-02-04 22:42:04 EST
Created attachment 388949 [details]
preupgrade.desktop.in

Needed for localize .desktop messages
Comment 6 Igor Pires Soares 2010-02-04 22:43:12 EST
Created attachment 388950 [details]
po/Makevars
Comment 7 Igor Pires Soares 2010-02-04 22:44:36 EST
Created attachment 388951 [details]
po/LINGUAS

LINGUAS file listed the language tested
Comment 8 Igor Pires Soares 2010-02-04 22:45:18 EST
Created attachment 388952 [details]
po/POTFILES.in
Comment 9 Igor Pires Soares 2010-02-04 22:45:39 EST
Created attachment 388953 [details]
po/POTFILES.skip
Comment 10 Igor Pires Soares 2010-02-04 22:46:06 EST
Created attachment 388954 [details]
po/preupgrade.pot
Comment 11 Igor Pires Soares 2010-02-04 22:51:33 EST
Created attachment 388958 [details]
po/pt_BR.po

Example .PO file with some strings for testing
Comment 12 Richard Hughes 2010-02-05 04:59:54 EST
Could you clone the git tree, make a branch, commit your chances to your branch and then use "git format-patch master" to generate patches please? I can then easily review them and ensure they get committed. Thanks.
Comment 13 Igor Pires Soares 2010-02-05 12:31:04 EST
Created attachment 389142 [details]
patch for preupgrade-cli.py
Comment 14 Igor Pires Soares 2010-02-05 12:32:01 EST
Created attachment 389143 [details]
patch for preupgrade-gtk.py
Comment 15 Igor Pires Soares 2010-02-05 12:33:14 EST
Created attachment 389145 [details]
patch for preupgrade-gtk.py
Comment 16 Igor Pires Soares 2010-02-05 12:33:52 EST
Created attachment 389146 [details]
patch for preupgrade.glade
Comment 17 Igor Pires Soares 2010-02-05 12:35:11 EST
Created attachment 389147 [details]
patch for preupgrade/__init__.py
Comment 18 Igor Pires Soares 2010-02-05 12:35:47 EST
Created attachment 389148 [details]
preupgrade.desktop.in
Comment 19 Igor Pires Soares 2010-02-05 12:36:27 EST
Created attachment 389150 [details]
po/LINGUAS
Comment 20 Igor Pires Soares 2010-02-05 12:37:00 EST
Created attachment 389151 [details]
po/Makevars
Comment 21 Igor Pires Soares 2010-02-05 12:38:00 EST
Created attachment 389152 [details]
po/POTFILES.in
Comment 22 Igor Pires Soares 2010-02-05 12:39:01 EST
Created attachment 389154 [details]
po/POTFILES.skip
Comment 23 Igor Pires Soares 2010-02-05 12:40:04 EST
Created attachment 389155 [details]
po/preupgrade.pot
Comment 24 Igor Pires Soares 2010-02-05 12:41:28 EST
Created attachment 389156 [details]
po/pt_BR.po
Comment 25 Igor Pires Soares 2010-02-05 12:46:20 EST
Richard, here are the new patches generated by git. I hope I made it right!

Thanks!
Comment 26 Piotr Drąg 2010-02-07 12:42:33 EST
If it's going to use intltool, then POT file is unnecessary (it should be generated dynamically). Also Comment in .desktop should be different than Name.
Comment 27 Igor Pires Soares 2010-02-07 17:03:38 EST
The .POT file I provided here is more for an example than anything else, so maintainers can easily view the extracted strings; "intltool-update -m" will regenerate preupgrade.pot accordingly.

I also noticed that Comment and Name are the same in .desktop, but didn't want to change it by myself. I highly recommend developers to change it in order to provide better described information for users everywhere.
Comment 28 Richard Hughes 2010-03-11 13:29:39 EST
commit d993d51f02fe523e558c49afc5eb30034b0229de
Author: Igor Pires Soares <igor@projetofedora.org>
Date:   Tue Feb 9 11:57:58 2010 +0000

    Add initial il8n support for preupgrade
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>

:100644 100644 c9b568f... 6d0d448... M  .gitignore
:100644 100644 e6a98ec... 67da4db... M  Makefile
:000000 100644 0000000... 0f35c33... A  po/.gitignore
:000000 100644 0000000... 7ef689e... A  po/LINGUAS
:000000 100644 0000000... a9825e1... A  po/Makefile
:000000 100644 0000000... 34a03a4... A  po/Makevars
:000000 100644 0000000... dd13aeb... A  po/POTFILES.in
:000000 100644 0000000... f105918... A  po/POTFILES.skip
:000000 100644 0000000... 2652b74... A  po/pt_BR.po
:100755 100755 671388c... 1b0d85f... M  preupgrade-gtk.py
:000000 100644 0000000... 6d29542... A  preupgrade.desktop.in
:100644 100644 dc8af7c... 926beef... M  preupgrade.glade
:100644 100644 93bc744... c333f1e... M  preupgrade/__init__.py
Comment 29 Igor Pires Soares 2010-03-11 17:40:34 EST
Richard, I noticed that the preupgrade-cli.py patch wasn't included. Is there any problem with it?

I think it would be good to include it too. It is already listed in POTFILES.in.
Comment 30 Piotr Drąg 2010-03-12 11:18:39 EST
Also, could you please add 'transif' FAS user to preupgrade group? It would allow us to actually submit translations. :)
Comment 31 Igor Pires Soares 2010-03-16 23:12:45 EDT
I'm reopening this just make sure the preupgrade-cli.py patch gets applied or preupgrade will lack CLI translations.
Comment 32 Richard Hughes 2010-03-23 11:56:06 EDT
commit 9440dc472d38e2b2239eb42ac045d68f4560316a
Author: Igor Pires Soares <igor@projetofedora.org>
Date:   Tue Mar 23 15:55:37 2010 +0000

    Add  il8n support for preupgrade-cli. Fixes rh#562036
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>
Comment 33 Fedora Update System 2010-04-26 07:26:41 EDT
preupgrade-1.1.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/preupgrade-1.1.5-1.fc12
Comment 34 Fedora Update System 2010-05-03 12:12:57 EDT
preupgrade-1.1.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.